/* 
 *    input.h
 *
 *	Copyright (C) Vivien Chappelier - 2000
 *
 *  This file is part of fame, a free MPEG encoder.
 *	
 *  fame is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *   
 *  fame is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *   
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Make; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 */

#ifndef _INPUT_H
#define _INPUT_H

#include <frame.h>
#include <module.h>

typedef void (* input_callback_f)(VideoFrame * frame);

typedef void (* input_set_callback_f)(void * context, input_callback_f callback);

class InputModule : public Module
{
 public:
  InputModule(char const * name, char const * args);

  inline void SetCallback(input_callback_f callback) { if(set_callback) set_callback(context, callback); };
 private:
  input_set_callback_f set_callback;
};

#endif
