#include <io/bitio.h>

/* Extern asm functions for bitwise i/o */
extern "C" void __CDECL BITWRITE(Bitbuffer *, unsigned int, unsigned int);
extern "C" void __CDECL BITRESET(Bitbuffer *);

Bitbuffer::Bitbuffer(int nbytes)
{
  nbits = 0;
  data = new byte[nbytes];
  for(register int i = 0; i < nbytes; i++)
    data[i] = 0;
}

Bitbuffer::~Bitbuffer()
{
  delete data;
}

void Bitbuffer::write(unsigned int data_, unsigned int size_)
{
  BITWRITE(this, data_, size_);
}

void Bitbuffer::reset()
{
  BITRESET(this);
}
