/* 
 *    output.h
 *
 *	Copyright (C) Vivien Chappelier - 2000
 *
 *  This file is part of fame, a free MPEG encoder.
 *	
 *  fame is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *   
 *  fame is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *   
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Make; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 */

#ifndef _OUTPUT_H
#define _OUTPUT_H

#include <module.h>

typedef void (* output_write_f)(void * context, void * data, unsigned long size);

class OutputModule : public Module
{
 public:
  OutputModule(char const * filename, char const * args);
  
  inline void Write(void * data, unsigned long size) { if(write) write(context, data, size); };

 private:
  output_write_f write;
};

#endif
