/* 
 *    rtp.cpp
 *
 *	Copyright (C) Vivien Chappelier - 2000
 *
 *  This file is part of fame, a free MPEG encoder.
 *	
 *  fame is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *   
 *  fame is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *   
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Make; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 */

#include <network/rtp.h>
#include <stdlib.h>

rtp_header::rtp_header()
{
  b.v=2;
  b.p=0;
  b.x=0;
  b.cc=0;
  b.m=0;
  b.pt=0;
  b.sequence=rand() & 65535;
  timestamp=rand();
  ssrc=rand();
}

rtp_mpeg_video_specific_header::rtp_mpeg_video_specific_header() :
  rtp_header()
{
  b.pt = RTP_PT_MPV; /* MPEG video */
  video.mbz = 0;  
  video.t = 0;    
  video.tr = 0;   
  video.an = 0;   
  video.n = 0;
  video.s = 0;
  video.b = 0;
  video.e = 0;
  video.p = 0;
  video.fbv = 0;
  video.bfc = 0;
  video.ffv = 0;
  video.ffc = 0;
}

rtp_mpeg2_video_specific_header::rtp_mpeg2_video_specific_header() :
  rtp_mpeg_video_specific_header()
{
  b.pt = RTP_PT_MPV;
  video.t = 1;    
  
  video_extension.x = 0;
  video_extension.e = 0;
  video_extension.f_00 = 0;
  video_extension.f_01 = 0;
  video_extension.f_10 = 0;
  video_extension.f_11 = 0;
  video_extension.dc = 0;
  video_extension.ps = 0;
  video_extension.t = 0;
  video_extension.p = 0;
  video_extension.c = 0;
  video_extension.q = 0;
  video_extension.v = 0;
  video_extension.a = 0;
  video_extension.r = 0;
  video_extension.h = 0;
  video_extension.g = 0;
  video_extension.d = 0;
}

rtp_mpeg_audio_specific_header::rtp_mpeg_audio_specific_header() :
  rtp_header()
{
  b.pt = RTP_PT_MPA; /* MPEG audio */
  audio.mbz = 0;
  audio.frag_offset = 0;
}
